/**
 * @file drive.cpp
 * @brief represent physical drive
 * @author hendrik schutter
 * @date 01.05.2020
 */

#include "drive.h"


string Drive::getPath(void)
{
    return sPath;
}

string Drive::getModelFamily(void)
{
    return sModelFamily;
}

string Drive::getModelName(void)
{
    return sModelName;
}

string Drive::getSerial(void)
{
    return sSerial;
}

uint64_t Drive::getCapacity(void)
{
    return u64Capacity;
}

uint32_t Drive::getErrorCount(void)
{
    return u32ErrorCount;
}
uint32_t Drive::getPowerOnHours(void)
{
    return u32PowerOnHours;
}

uint32_t Drive::getPowerCycles(void)
{
    return u32PowerCycles;
}

void Drive::setDriveSMARTData( string modelFamily,
                               string modelName,
                               string serial,
                               uint64_t capacity,
                               uint32_t errorCount,
                               uint32_t powerOnHours,
                               uint32_t powerCycle)
{
    sModelFamily = modelFamily;
    sModelName = modelName;
    sSerial = serial;
    u64Capacity = capacity;
    u32ErrorCount = errorCount;
    u32PowerOnHours = powerOnHours;
    u32PowerCycles = powerCycle;
}